Mail archive
alpine-aports

[alpine-aports] [PATCH 3/3] testing/udevil: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Tue, 5 May 2015 00:26:28 +0000

the build server will need the plugdev group for chown to succeed

udevil is an alternative to udisks:
https://ignorantguru.github.io/udevil/

Mount / unmount removable devices without being root (also mounts
ISO / nfs://, smb://, ftp://, ssh:// WebDAV URLs, and tmpfs/ramfs.

SUID bit removed & tested as in & out of the plugdev group.
---
 testing/udevil/APKBUILD            | 44 ++++++++++++++++++++++++++++++++++++++
 testing/udevil/udevil.post-install | 22 +++++++++++++++++++
 testing/udevil/udevil.pre-install  |  4 ++++
 3 files changed, 70 insertions(+)
 create mode 100644 testing/udevil/APKBUILD
 create mode 100644 testing/udevil/udevil.post-install
 create mode 100644 testing/udevil/udevil.pre-install
diff --git a/testing/udevil/APKBUILD b/testing/udevil/APKBUILD
new file mode 100644
index 0000000..e0147fc
--- /dev/null
+++ b/testing/udevil/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=udevil
+pkgver=0.4.4
+pkgrel=0
+pkgdesc="Mount / unmount removable devices without a password (udisks alternative)"
+url="http://ignorantguru.github.io/udevil"
+arch="all"
+license="GPL3+"
+makedepends="$depends_dev glib-dev udev-dev intltool"
+install="$pkgname.post-install $pkgname.pre-install"
+subpackages="$pkgname-lang"
+source="$pkgname-$pkgver.tar.gz::https://github.com/IgnorantGuru/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--disable-systemd || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make -j1 DESTDIR="$pkgdir" install || return 1
+	chown root:plugdev "$pkgdir"/usr/bin/udevil || return 1
+        chmod u+s,go-s,o-x "$pkgdir"/usr/bin/udevil # remove SUID bit
+#	chmod ugo-s,ugo+x "$pkgdir"/usr/bin/udevil #remove SUID bit completely
+}
+
+md5sums="281aa065d92c679cb41728069e72b272  udevil-0.4.4.tar.gz"
+sha256sums="ad2fd8375bd62622718a04235e9772119459089938dbb78e657955e595822b7c  udevil-0.4.4.tar.gz"
+sha512sums="adce4916e06d1cc4965521abbcbc2901e53930691167f431cb18e28d3ef8bde740e95a6a5f40dfc58dfd7b4b661b4475d3dd2b6174a5d7a55ae7c65629b82327  udevil-0.4.4.tar.gz"
diff --git a/testing/udevil/udevil.post-install b/testing/udevil/udevil.post-install
new file mode 100644
index 0000000..f2485ed
--- /dev/null
+++ b/testing/udevil/udevil.post-install
_at_@ -0,0 +1,22 @@
+#!/bin/sh
+
+NORMAL="\033[1;0m"
+STRONG="\033[1;1m"
+GREEN="\033[1;32m"
+
+print_strong() {
+        local prompt="${STRONG}$1 ${GREEN}$2${NORMAL}"
+        printf "${prompt} %s\n"
+}
+
+print_strong "\nTo mount / unmount devices without the root password:" " add your user account to the 'plugdev' group."
+print_strong "\nOptional dependencies:"
+print_strong "\nzenity: " "	(devmon popups)"
+print_strong "davfs2: " "	(mount WebDAV resources)"
+print_strong "cifs-utils: " "	(mounting samba shares)"
+print_strong "curlftpfs: " "	(mounting ftp shares)"
+print_strong "nfs-utils: " "	(mounting nfs shares)"
+print_strong "sshfs-fuse: " "	(mounting sftp shares)"
+print_strong "eject: " "	(eject via devmon)"
+exit 0
+
diff --git a/testing/udevil/udevil.pre-install b/testing/udevil/udevil.pre-install
new file mode 100644
index 0000000..bd4b7de
--- /dev/null
+++ b/testing/udevil/udevil.pre-install
_at_@ -0,0 +1,4 @@
+#!/bin/sh
+addgroup -S plugdev 2>/dev/null
+exit 0
+
-- 
2.4.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 05 2015 - 00:26:28 GMT